Bug 320699 - Incorrect seeding goal ETA
Summary: Incorrect seeding goal ETA
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: 4.3.1
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 09:23 UTC by AlexCzar
Modified: 2013-08-01 09:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of KTorrent interface with the bug. (23.04 KB, image/png)
2013-06-04 09:23 UTC, AlexCzar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description AlexCzar 2013-06-04 09:23:13 UTC
Created attachment 80286 [details]
Screenshot of KTorrent interface with the bug.

KTorrent incorrectly reports seeding goal ETA. See attached screenshot.
This behavior is not specific to any particular download, happens with all of them.
I have minimum (and maximum) seed ratio set to 10, after which KTorrent is configured to stop the torrent. The seeding ETA shown is not just unrealistic, it doesn't make any sense at all. I tried all of the ETA algorithms to no avail, the bug remains there.
Comment 1 Aristide 2013-07-30 12:08:22 UTC
ktorrent (4.3.1-1) has report 900MiB/s to a private tracker
Comment 2 Joris Guisson 2013-08-01 09:20:19 UTC
Git commit ce7f61416b3c7c26033511ced236381b04da85a2 by Joris Guisson.
Committed on 01/08/2013 at 09:15.
Pushed by guisson into branch 'master'.

Fix bug causing eta estimation to go wrong during uploading

M  +1    -0    ChangeLog
M  +215  -250  src/torrent/timeestimator.cpp
M  +89   -96   src/torrent/timeestimator.h

http://commits.kde.org/libktorrent/ce7f61416b3c7c26033511ced236381b04da85a2